import { BaseFilter, EntityFilter, FileInfoFilter, Info, LocalDateRange } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.AttachmentFilter <br/>
*/
export interface AttachmentFilter extends EntityFilter {
    attachmentId?: string;
    categories?: string[];
    fepStatusFilter?: FepStatusFilter;
    fileInfoFilter?: FileInfoFilter;
    projectId?: string;
    taskId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.CommentFilter <br/>
*/
export interface CommentFilter extends EntityFilter {
    commentId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.FepStatusFilter <br/>
*/
export interface FepStatusFilter extends BaseFilter {
    statusList?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.PartnerInfoFilter <br/>
*/
export interface PartnerInfoFilter extends EntityFilter {
    companyName?: string;
    email?: string;
    firstName?: string;
    lastName?: string;
    partnerId?: string;
    shortName?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.ProjectFilter <br/>
*/
export interface ProjectFilter extends TaskFilter {
    customerIds?: string[];
    partnerInfoFilter?: PartnerInfoFilter;
    phases?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.ProjectSheetFilter <br/>
*/
export interface ProjectSheetFilter extends EntityFilter {
    info?: Info;
    projectId?: string;
    projectSheetId?: string;
    reportDateRange?: LocalDateRange;
    statuses?: string[];
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.RiskFilter <br/>
*/
export interface RiskFilter extends EntityFilter {
    dueDateRange?: LocalDateRange;
    mitigation?: string;
    name?: string;
    /**
    *	values: low, medium, high<br/>
    *	@example low
    */
    probability?: string;
    projectId?: string;
    responsiblePartnerId?: string;
    riskId?: string;
    /**
    *	values: low, medium, high<br/>
    *	@example low
    */
    severity?: string;
    taskId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.tracker.base.core.filter.TaskFilter <br/>
*/
export interface TaskFilter extends EntityFilter {
    aggregateSubTasks?: boolean;
    assignedUserId?: string;
    fields?: string[];
    headers?: string[];
    id?: string;
    ids?: string[];
    name?: string;
    noParent?: boolean;
    parentId?: string;
    projectId?: string;
    roleName?: string;
    shortName?: string;
    status?: string;
    types?: string[];
}
